diff -Naur livecd.old/imgcreate/fs.py livecd/imgcreate/fs.py
--- livecd.old/imgcreate/fs.py	2010-07-30 20:10:36.000000000 -0700
+++ livecd/imgcreate/fs.py	2010-07-30 20:39:13.000000000 -0700
@@ -112,9 +112,16 @@
         if not self.mounted:
             return
 
-        rc = subprocess.call(["/bin/umount", "-l", self.dest])
+        rc = subprocess.call(["/bin/umount", self.dest])
         if rc != 0:
-            raise MountError("Unable to unmount filesystem at %s" % self.dest)
+            logging.debug("Unable to unmount %s normally, using lazy unmount" % self.dest)
+            rc = subprocess.call(["/bin/umount", "-l", self.dest])
+            if rc != 0:
+                raise MountError("Unable to unmount fs at %s" % self.dest)
+            else:
+                logging.debug("lazy umount succeeded on %s" % self.dest)
+                print >> sys.stdout, "lazy umount succeeded on %s" % self.dest
+ 
         self.mounted = False
 
 class LoopbackMount:
